<?php
if (! empty($_POST["save"])) {
    $connection = mysqli_connect("localhost", "root", "", "dynamic_textbox");
    $itemCount = count($_POST["item_name"]);
    for ($i = 0; $i < $itemCount; $i ++) {
        if (! empty($_POST["item_name"][$i]) || ! empty($_POST["item_price"][$i])) {
            $query = "INSERT INTO item (item_name,item_price) VALUES(?, ?)";
            $statement = $connection->prepare($query);
            $statement->bind_param('si', $_POST["item_name"][$i], $_POST["item_price"][$i]);
            $result = $statement->execute();
        }
        if (! empty($result)) {
            $response = array("type"=>"success", "message"=>"Added successfully.");
        } else {
            $response = array("type"=>"error", "message"=>"Please enter the data.");
        }
    }
}
?>
<html>
<head>
<title>PHP jQuery Dynamic Textbox</title>
<link href="css/style.css" rel="stylesheet" type="text/css">
<meta name="viewport" content="width=device-width, initial-scale=1">
<script src="http://code.jquery.com/jquery-2.1.1.js"></script>
<script>
function addMore() {
    $("<div>").load("input.php", function() {
        $("#product").append($(this).html());
    });
}
function deleteRow() {
    $('div.product-item').each(function(index, item) {
        jQuery(':checkbox', this).each(function() {
            if ($(this).is(':checked')) {
                $(item).remove();
                $("#delete-button-required").html("Choose at least 1 row.").css("color", "red").hide();
            }
            else {
                $("#delete-button-required").html("Choose at least 1 row.").css("color", "red").show();
                $("#error").hide();
            }
        });
    });
}
</script>
</head>
<body>
    <form name="frmProduct" method="post" action="" id="frmDemo">
        <div id="outer" class="outer">
            <div id="header">
                <div class="float-left">&nbsp;</div>
                <div class="float-left col-heading">Item Name</div>
                <div class="float-left col-heading">Item Price</div>
            </div>
            <div id="product">
<?php require_once("input.php") ?>
</div>
            <div class="btn-action float-clear">
                <input type="button" name="add_item" value="Add More"
                    onClick="addMore();" /> <input type="button"
                    name="del_item" value="Delete"
                    onClick="deleteRow();" /> <span id="delete-button-required"></span>
                    <span id="error" class="<?php  if(!empty ($response["type"])) { echo $response["type"]; } ?>"><?php  if(!empty ($response["message"])) { echo $response["message"]; } ?></span>
            </div>
            <div class="footer">
                <input type="submit" name="save" value="Save"
                    class="saveButton" />
            </div>
        </div>
    </form>
</body>
</html>